<?php
//adding theme support : register support of a certain theme feature
if ( ! function_exists( 'xrprompt_setup' ) ):
function xrprompt_setup() {
    
    // This theme uses Featured Images (also known as post thumbnails) for per-post/per-page Custom Header images
    add_theme_support( 'post-thumbnails' ); 
    
    // Add default posts and comments RSS feed links to <head>.
    add_theme_support( 'automatic-feed-links' ); 
   
    // Add support for a variety of post formats
    add_theme_support( 'post-formats', array( 'aside', 'link', 'gallery', 'status', 'quote', 'image' ) ); 
    add_theme_support( 'has_post_format', array( 'aside', 'link', 'gallery', 'status', 'quote', 'image' ) ); 
    add_theme_support( 'get_post_format', array( 'aside', 'link', 'gallery', 'status', 'quote', 'image' ) );  
    
    // Add support for custom backgrounds
    add_theme_support( 'custom-background' );

    // Add support for custom header
    add_theme_support( 'custom-header' );

    //title tag
    add_theme_support( 'title-tag' );

    //custom logo
    add_theme_support( 'custom-logo' );

}
add_action('after_setup_theme','xrprompt_setup');
endif;

//====================================================================

//  Include JS files

//====================================================================

include(get_parent_theme_file_path('inc/register_sidebar.php'));
include(get_parent_theme_file_path('inc/enque_script.php'));
include(get_parent_theme_file_path('inc/custom_function.php'));
//require get_parent_theme_file_path('inc/customizer.php' );
// include(get_parent_theme_file_path('inc/custom_social_widget.php'));
?>